summaryrefslogtreecommitdiff
path: root/bin/dbris-m
diff options
context:
space:
mode:
Diffstat (limited to 'bin/dbris-m')
-rwxr-xr-xbin/dbris-m6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/dbris-m b/bin/dbris-m
index 69aa967..fe4094f 100755
--- a/bin/dbris-m
+++ b/bin/dbris-m
@@ -445,6 +445,12 @@ if ($train_no) {
my $wr = $status->result;
+ if ( not $wr ) {
+ say STDERR
+"Carriage formation for $train_type $train_no->{train_number} at $station is not available";
+ exit 1;
+ }
+
printf(
"\n%s → %s\n",
join( ' / ',